#!/bin/bash

MASTERDIR=~/master
TEMPLATEDIR=~/template
RUNSCRIPT=~/runscript
INSTALLDIR=~/gameserver
##
usage () {
    echo "$0 servername template"
}



check () {
    servername=$1
    template=$2
    if [ ! -d $TEMPLATEDIR/$2  ]; then
        echo "Template $TEMPLATEDIR/$2 doesn't exist"
        exit 1

    elif [ ! -f $RUNSCRIPT/$2/run_server  ]; then
        echo "Runscript $RUNSCRIPT/$2/run_server doesn't exist"
        exit 2

    #csgo hardcoded in this case
    elif [ ! -f $MASTERDIR/csgo/csgo/steam.inf ]; then
        echo "Masterserver is not installed"
        exit 3

    elif [ -d $INSTALLDIR/$1 ]; then
        echo "Server is already installed"
        exit 4
    fi
}


install () {
    servername=$1
    template=$2
    echo "Creating serverdirectory $INSTALLDIR/$1/"
    mkdir -p $INSTALLDIR/$1/
    echo "Installing Template"
    cp -r $TEMPLATEDIR/$2/* $INSTALLDIR/$1/
    echo "Creating symlinks from masterserver"
    cp -sr $MASTERDIR/csgo/* $INSTALLDIR/$1
    echo "Create symlink for runscript"
    ln -s $RUNSCRIPT/$2/run_server $INSTALLDIR/$1/
}

check $1 $2
install $1 $2
echo "Success"
